@import '../vendor/hamburgers/hamburgers.scss';
$smallMenuWidth: 220px;

html,
body{
	overflow: hidden;
}

#site-wrapper{
	position:relative;
	overflow: hidden;
	width: 100%;
	height: 100%;
	margin:0px;
}

#site-canvas {
  @extend #site-wrapper;
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;

	@include transition(all 300ms);
}

.content {
	position: relative;
  &::before {
  	position: absolute;
  	top: 0;
  	left: 0;
  	z-index: 10;
  	width: 100%;
  	height: 100%;
  	background: rgba(0,0,0,0.3);
  	content: '';
  	opacity: 0;
  	overflow: visible;

		@include transform(translate(100%,0));
  }
}

/* Close Button */
#close-button {
	position: absolute;
	right: 2.5em;
	top: 1.5em;
  @include opacity(0.8);
	@media #{$small-only} {
		right: 1.5em;
	}
}


/* Menu */
#site-menu {
  position: absolute;
	right: 0;
	z-index: 998;
	width: 400px;
	height: 100%;
	background: #fff;
	padding: 2.5em 1.5em 0;
	@include transition(all 400ms cubic-bezier(0.7,0,0.3,1));
	@include transform(translate3d(400px,0,0));

	@media #{$small-only} {
		width: $smallMenuWidth;
		@include transform(translate3d($smallMenuWidth,0,0));
	}

  a {
    @include font-size(10);
    font-weight: 900;
  	color: $t_DarkMost;
    &:hover, &:focus, &.active {
    	color: $t_Light_2;
    }
  }
  & #logoAndMenuIconSide{
		@include breakpoint (small only) {
			display:none;
		}

		@media screen and #{breakpoint(medium down)} and #{breakpoint(landscape)} {
		  display:none;
		}

		position: absolute;
    text-align: center;
    bottom: 5%;
    width: 352px;
		a{
	    @include font-size(10);
	    font: {
	      family: 'bebas_neueregular';
	      weight: 400;
	    }
			padding: 0.2em;

	    letter-spacing: 3px;
	    color: $t_Dark_1;
	    &:hover{
	      color: $t_DarkMost;
	    }
	  }
    .logoAndText{
			height:35px;
      margin: 10px auto;
      color: $t_Light_2;
      span{
        font-size: small;
        margin-left: 0.6em;
      }
      img{
        width: 80px;
      }
    }
		.logoText{
			font-size: smaller;
		}

  } & .socialsClass{
      a {
    	color: $t_Light_2!important;
      &:hover, &:focus {
      	color: $t_Dark_1!important;
      }
    }
  }
}

.menu, .menu-items {
	width: 100%;
	text-align: center;
}

.menu{
	height: 100%;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	position: relative;
	top: -10%;
}

.menu-items {
	@include transition(all 400ms cubic-bezier(0.7,0,0.3,1));
	@include transform(translate3d(0,100%,0));


  a {
  	display: block;
  	padding: 0.6em;
  }
	@media screen and #{breakpoint(medium down)} and #{breakpoint(landscape)} {
		text-align: right;
		margin-top:50px;
		a {
			padding: 4px 17px 0 0;
		}
	}

}


$menuItemCount: 6;
@for $i from 1 to $menuItemCount +1 {
  .menu-items a:nth-child(#{$i}) {
			//enter from up and down
		 @include transform(translate3d(0, -(($menuItemCount - $i) * 500px),0));
  }
}

#logoAndMenuIconSide{
	@include transition(400ms cubic-bezier(0.4,0,0.3,1));
	@include transform(translate3d(0,-70px,0));

	$socialItemCount: 4;
	@for $i from 1 to $socialItemCount +1 {
	  .socialsClass a:nth-child(#{$i}) {
			@include transform(translate3d(0, (($i) * 500px),0));
	  }
	}
}

/* Shown menu */
.show-menu{
	#logoAndMenuIconSide{
		@include transition(1200ms cubic-bezier(0.4,0,0.3,1));
		@include transform(translate3d(0,0,0));
		.socialsClass a{
			@include transition(800ms cubic-bezier(0.4,0,0.3,1) 100ms);
			@include transform(translate3d(0,0,0));
		}
	}
  #site-menu {
		@include transition(800ms cubic-bezier(0.4,0,0.3,1));
		@include transform(translate3d(0,0,0));
  }
  .menu-items,
  .menu-items a {
		@include transition(800ms cubic-bezier(0.4,0,0.3,1));
		@include transform(translate3d(0,0,0));
  }
}

.show-menu {
  .content {
    &::before {
    	opacity: 1;
    	float: left;
			@include transition(opacity 800ms cubic-bezier(0.4,0,0.3,1));
			@include transform(translate(0,0));
    }
  }
  #site-canvas {
		@include transition(800ms cubic-bezier(0.4,0,0.3,1) 100ms);
		@include transform(translate3d(-400px,0,0));

		@media #{$small-only} {
			@include transform(translate3d(-$smallMenuWidth,0,0));
  	}
  }
}
